Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
			get 'other_paper_setting' => "other_papers#setting"
			resources :other_papers do
				collection do
					get 'toggle_hide' => 'other_papers#toggle_hide'
					get 'analysis'
					get 'analysis_report'
					get "download_excel"
				end
			end

			resources :members do
				collection do
				  scope '(:name-:uid)' do
					resources :other_papers do
						collection do
							get 'frontend_setting' => 'other_papers#frontend_setting'
							post 'update_frontend_setting' => 'other_papers#update_frontend_setting'
						end
					end
				  end
				end
			end
			resources :other_paper_statuses
		end
		get "/xhr/personal_other_paper/get_fields_for_index" => "personal_other_papers#get_fields_for_index"
        post "/xhr/personal_other_paper/save_index_fields" => "personal_other_papers#save_index_fields"
	end
end